#!/bin/bash

BIN="mympirun vasp533_tsD3"

VOLTARRAY=("-2.1 -2.0" "-3.0  -2.0" "-2.1 -1.0" )
FOLDARRAY=("Fermi" "m1V" "p1V" )

for i in {0..2..1}; do
FOLD=${FOLDARRAY[${i}]}
cp -f KPOINTS POSCAR POTCAR WAVECAR.gz $FOLD
cd $FOLD
gunzip -f WAVECAR.gz
cat >INCAR<<EOF
general:
    SYSTEM = C_GRAPHENE_LDA_STM
    ISMEAR = -5  
    EDIFF = 1.0E-7
    PREC = Accurate  
    ENCUT = 400
    LWAVE = .TRUE.
    LCHARG = .TRUE.
    LVTOT = .FALSE.
    ISPIN = 1  
dynamic:
    IBRION = -1  
    NSW = 0      
parallel:
   LPLANE = .TRUE.
   NPAR = 1 ; NSIM = 8 
STM calculations through Band Decomposed Charge Densities:
    LPARD = .TRUE. ! calculate BDCD
    NBMOD = -2     ! Calculate partial charges for 
                   ! (-3) e- with eigenvalues in range EINT-> Efermi
                   ! (-2) e- with eigenvalues in the range EINT
    EINT = ${VOLTARRAY[${i}]} ! tunneling voltage 
    ISTART = 1     ! Explicitly tell VASP to use old WAVECAR
    NBANDS = 16    ! Explicitly fix the correct number of bands
                   !  !! different amount of CPUs
                   !     = different number of bands
                   !     = VASP refuses to read WAVECAR
    ICHARG = 0     ! use WAVECAR to generate density
EOF
wait
$BIN >> ../out.dat
wait
rm -f CHGCAR WAVECAR DOSCAR EIGENVAL vasprun.xml XDATCAR PCDAT
cd ../

done


